@echo off

:: -- ==============================================================
:: -- =                Fix for SQL Server indexes                  =
:: -- ==============================================================
:: -- = Licensed Materials - Property of IBM
:: -- = "Restricted Materials of IBM" 5724-I58
:: -- = Copyright IBM Corp. 2006 All Rights Reserved.
:: -- = US Government Users Restricted Rights - Use, duplication or
:: -- = disclosure restricted by GSA ADP Schedule Contract 
:: -- = with IBM Corp.
:: -- =============================================================

if "%1" EQU "" goto BADARGS
SET SERVER=%1
SHIFT

if "%1" EQU "" goto BADARGS
SET DBUSER=%1
SHIFT

if "%1" EQU "" goto BADARGS
SET DBPSWD=%1
SHIFT

if "%1" EQU "" goto BADARGS
SET DBALIAS=%1

::echo SERVER=%SERVER%
::echo DBUSER=%DBUSER%
::echo DBPSWD=%DBPSWD%
::echo DBALIAS=%DBALIAS%

echo Rebuilding indexes > fix_indexes.log
osql -S %SERVER% -U %DBUSER% -P %DBPSWD% -d %DBALIAS% -n -b -i fix_indexes.sql >> fix_indexes.log
if %errorlevel% NEQ 0 goto FAIL

echo Done.
echo Check fix_indexes.log for errors.
echo Done. >> fix_indexes.log
goto FINISH

:FAIL
echo Errors encountered! Check the fix_indexes.log log file!
goto FINISH

:BADARGS
echo Invalid comand line parameters: invoke this script with command line parameters!
echo Usage: %0 server_name userID user_password dbalias


:FINISH
