PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPC#15...'
DROP INDEX TS_FlPlnCmpnt.IX_FPC#15
GO
CREATE INDEX IX_FPC#15 ON TS_FlPlnCmpnt(XtRecID, RecHsID) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPC#15 was recreated'

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPC#17...'
DROP INDEX TS_FlPlnCmpnt.IX_FPC#17
GO
CREATE INDEX IX_FPC#17 ON TS_FlPlnCmpnt(FlPlnCmpntID, FlPlnCmpntNm, DsplAthrtyOwnerID, LfCclCdOwnerID, VtlRecCnfgOwnerID) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPC#17 was recreated'

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPC#21...'
DROP INDEX TS_FlPlnCmpnt.IX_FPC#21
GO
CREATE INDEX IX_FPC#21 ON TS_FlPlnCmpnt(FlPlnCmpntID, FlPlnCmpntDefID) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPC#21 was recreated'

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index UX_FPR#1...'
DROP INDEX TS_FlPlnRel.UX_FPR#1
GO
CREATE UNIQUE INDEX UX_FPR#1 ON TS_FlPlnRel(FlPlnCmpntSrcID, FlPlnCmpntTgtID, FlPlnRelDefID, FlPlnViewTyp) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' UX_FPR#1 was recreated'
GO

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPR#1...'
DROP INDEX TS_FlPlnRel.IX_FPR#1
GO
CREATE INDEX IX_FPR#1 ON TS_FlPlnRel(SrcCmpntPartID) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPR#1 was recreated'
GO

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPR#2...'
DROP INDEX TS_FlPlnRel.IX_FPR#2
GO
CREATE INDEX IX_FPR#2 ON TS_FlPlnRel(FlPlnCmpntTgtID, FlPlnCmpntSrcID, FlPlnRelDefID, FlPlnViewTyp) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPR#2 was recreated'
GO

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPR#3...'
DROP INDEX TS_FlPlnRel.IX_FPR#3
GO
CREATE INDEX IX_FPR#3 ON TS_FlPlnRel(FlPlnCmpntSrcID, FlPlnViewID, FlPlnCmpntTgtID, FlPlnViewTyp) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPR#3 was recreated'
GO

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPR#4...'
DROP INDEX TS_FlPlnRel.IX_FPR#4
GO
CREATE INDEX IX_FPR#4 ON TS_FlPlnRel(FlPlnCmpntTgtID, FlPlnViewID, FlPlnCmpntSrcID, FlPlnViewTyp) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPR#4 was recreated'
GO

PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' Recreating index IX_FPR#5...'
DROP INDEX TS_FlPlnRel.IX_FPR#5
GO
CREATE INDEX IX_FPR#5 ON TS_FlPlnRel(TgtCmpntPID, FlPlnCmpntTgtID, TgtLevel) ON 'PRIMARY'
GO
PRINT CONVERT(char(30), CURRENT_TIMESTAMP) + ' IX_FPR#5 was recreated'
GO
